# Class Navigation

Interface for navigating back and forth in the browser history.

#### Hierarchy

- Navigation

#####
Index

### Constructors

constructor

### Methods

back
forward
refresh
to

## Constructors

### constructor

- new Navigation(driver): Navigation

- Interface for navigating back and forth in the browser history.

  This class should never be instantiated directly. Insead, obtain an instance with

  navigate()

  #### Parameters

  - ##### driver: WebDriver

  #### Returns Navigation

  #### See

  WebDriver#navigate()

## Methods

### back

- back(): Promise<void>

- Schedules a command to move backwards in the browser history.

  #### Returns Promise<void>

  A promise that will be resolved when the navigation event has completed.

### forward

- forward(): Promise<void>

- Schedules a command to move forwards in the browser history.

  #### Returns Promise<void>

  A promise that will be resolved when the navigation event has completed.

### refresh

- refresh(): Promise<void>

- Schedules a command to refresh the current page.

  #### Returns Promise<void>

  A promise that will be resolved when the navigation event has completed.

### to

- to(url): Promise<void>

- Schedules a command to navigate to a new URL.

  #### Parameters

  - ##### url: string

    The URL to navigate to.

  #### Returns Promise<void>

  A promise that will be resolved when the URL has been loaded.

Generated using TypeDoc